package com.atlassian.bitbucket.internal.mirroring.mirror.rest.webhook.server;

import com.atlassian.bitbucket.internal.mirroring.mirror.webhook.ProjectCreatedWebHookEvent;
import com.atlassian.bitbucket.internal.mirroring.mirror.webhook.WebHookEventVisitor;

import javax.annotation.Nonnull;
import java.util.Map;

public class RestServerProjectCreatedWebHookEvent extends BaseRestServerProjectWebHookEvent implements ProjectCreatedWebHookEvent {
    public RestServerProjectCreatedWebHookEvent() {
    }

    public RestServerProjectCreatedWebHookEvent(Map<String, ?> values) {
        super(values);
    }

    @Override
    public <T> T visit(@Nonnull WebHookEventVisitor<T> visitor) {
        return visitor.accept(this);
    }
}
